=== debian/changelog ===
lava (2018.5.post1-2) unstable; urgency=medium

  * Fix missing dependency on python3-requests, found by piuparts

 -- Neil Williams <codehelp@debian.org>  Mon, 18 Jun 2018 10:40:54 +0100

lava (2018.5.post1-1) unstable; urgency=medium

  * Security hotfix
    0a8db2d0e Use requests instead of urlopen
    95f28429c Use yaml.safe_load when parsing user data
    6f4000445 Remove the ability to past URLs in the submit page
  * Update dependencies for lava-dev

 -- Neil Williams <codehelp@debian.org>  Sat, 16 Jun 2018 10:51:32 +0100

lava (2018.5-3~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Neil Williams <codehelp@debian.org>  Mon, 11 Jun 2018 13:41:43 +0100

lava (2018.5-3) unstable; urgency=medium

  * Drop Build-Depends-Arch and add
    override_dh_fixperms-arch (Closes: #900971)

 -- Neil Williams <codehelp@debian.org>  Thu, 07 Jun 2018 15:22:15 +0100
