=== debian/control ===
--- 
+++ 
@@ -4,14 +4,13 @@
 Maintainer: Debian LAVA team <pkg-linaro-lava-devel@lists.alioth.debian.org>
 Uploaders: Neil Williams <codehelp@debian.org>,
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
-Build-Depends-Arch: debhelper (>= 9.20160709), dh-python,
+Build-Depends:
+ debhelper (>= 9.20160709), dh-python, po-debconf,
  python3 | python3-all | python3-dev | python3-all-dev,
- python3-sphinx (>= 1.4), python3-setuptools (>= 3), python3-yaml
-Build-Depends: 
+ python3-sphinx (>= 1.4), python3-setuptools (>= 3), python3-yaml,
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
- libjs-jquery-ui, po-debconf,
- python3-sphinx-bootstrap-theme,
+ libjs-jquery-ui, python3-sphinx-bootstrap-theme,
 X-Python3-Version: >=3.5
 Standards-Version: 4.1.4
 Homepage: https://www.linaro.org/initiatives/lava/
@@ -33,7 +32,7 @@
  qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
  libguestfs-tools (>= 1.32.7) [amd64 i386], nfs-kernel-server, rpcbind,
  u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7),
- debootstrap (>= 1.0.86), bridge-utils, rsync, sshfs, dfu-util
+ debootstrap (>= 1.0.86), bridge-utils, rsync, dfu-util
 Suggests: apache2, bzr, img2simg, simg2img
 Description: Linaro Automated Validation Architecture dispatcher
  LAVA is a continuous integration system for deploying operating
@@ -54,7 +53,7 @@
 Pre-Depends: debconf | debconf-2.0
 Depends: apache2, adduser, gunicorn3, iproute2, python3-tz, python3-dateutil,
  python3-django (>= 1.10), python3-django-auth-ldap (>= 1.2.12),
- python3-setuptools, python3-yaml,
+ python3-setuptools, python3-yaml, python3-requests,
  libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
  postgresql, postgresql-client, postgresql-common, systemd-sysv,
@@ -148,12 +147,14 @@
  libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui, python3:any,
  python3-setuptools, python3-dateutil, python3-guestfs, python3-nose,
  python3-netifaces, python3-pexpect (>= 4.2), pep8 | python3-pep8,
- python3-guestfs,  python3-nose, python3-netifaces,
+ python3-guestfs,  python3-nose, python3-netifaces, python3-magic,
  python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme, python3-requests,
- python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8),
- docbook-xsl, xsltproc, ${python3:Depends}, ${misc:Depends}
+ python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8), python3-tz,
+ python3-configobj, python3-pyudev, docbook-xsl, xsltproc,
+ ${python3:Depends}, ${misc:Depends}
 Recommends: sbuild, python3-django-extensions, python3-pydot,
- python3-django-testscenarios, python3-pytest-django
+ python3-django-testscenarios, python3-pytest-django, nfs-kernel-server,
+ lxc, tftpd-hpa, rpcbind, p-boot-tools, telnet, img2simg, simg2img
 Description: Linaro Automated Validation Architecture developer support
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
