=== debian/control ===
--- 
+++ 
@@ -6,34 +6,30 @@
  Senthil Kumaran S (stylesen) <stylesen@gmail.com>
 Build-Depends:
  debhelper (>= 9.20160709), dh-python, po-debconf,
- python3 | python3-all | python3-dev | python3-all-dev,
- python3-sphinx (>= 1.4), python3-setuptools (>= 3), python3-yaml,
+ python3, python3-sphinx (>= 1.4), python3-setuptools (>= 3),
+ python3-yaml, python3-sphinx-bootstrap-theme,
  node-uglify, libjs-excanvas, libjs-jquery-cookie, libjs-jquery,
  libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
- libjs-jquery-ui, python3-sphinx-bootstrap-theme,
+ libjs-jquery-typeahead, libjs-jquery-ui
 X-Python3-Version: >=3.5
-Standards-Version: 4.1.4
-Homepage: https://www.linaro.org/initiatives/lava/
-Vcs-Git: https://github.com/Linaro/pkg-lava.git
-Vcs-Browser: https://github.com/Linaro/pkg-lava
+Standards-Version: 4.2.1
+Homepage: https://www.lavasoftware.org/
+Vcs-Git: https://git.lavasoftware.org/lava/pkg-lava-debian.git
+Vcs-Browser: https://git.lavasoftware.org/lava/pkg-lava-debian
 
 Package: lava-dispatcher
 Architecture: amd64 arm64 armhf i386 ppc64el s390x ppc64
-Depends: file, systemd-sysv, python3-serial (>= 2.6), python3-setuptools,
- lava-common (>= ${source:Version}), python3-guestfs (>= 1.32.7), tar (>= 1.27),
- python3-configobj, python3-magic, python3-netifaces (>= 0.10.0),
- python3-nose, python3-pexpect (>= 4.2), python3-pyudev (>= 0.21),
- python3-requests, python3-setproctitle (>= 1.1.8), python3-tz,
- python3-yaml, python3-zmq,
- sudo, telnet, ${python3:Depends}, ${misc:Depends}
+Depends: file, systemd-sysv, python3-setuptools,
+ lava-common (>= ${source:Version}), tar (>= 1.27),
+ ${python3:Depends}, ${misc:Depends}
 Multi-Arch: foreign
 Recommends: ntp, git, tftpd-hpa, openbsd-inetd, ser2net,
- qemu-system-x86 (>= 2.8.0) [amd64 i386],
+ telnet, qemu-system-x86 (>= 2.8.0) [amd64 i386],
  qemu-system-arm (>= 2.8.0) [amd64 armhf arm64],
  libguestfs-tools (>= 1.32.7) [amd64 i386], nfs-kernel-server, rpcbind,
- u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7),
+ u-boot-tools, unzip, xz-utils, lxc (>= 1:2.0.7), sudo,
  debootstrap (>= 1.0.86), bridge-utils, rsync, dfu-util
-Suggests: apache2, bzr, img2simg, simg2img
+Suggests: apache2, bzr, img2simg, simg2img, docker.io
 Description: Linaro Automated Validation Architecture dispatcher
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -51,19 +47,15 @@
 Package: lava-server
 Architecture: all
 Pre-Depends: debconf | debconf-2.0
-Depends: apache2, adduser, gunicorn3, iproute2, python3-tz, python3-dateutil,
- python3-django (>= 1.10), python3-django-auth-ldap (>= 1.2.12),
- python3-setuptools, python3-yaml, python3-requests,
+Depends: apache2, adduser, gunicorn3, iproute2, python3-setuptools,
  libjs-excanvas, libjs-jquery-cookie, libjs-jquery, libjs-jquery-ui,
- libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2), openssh-client,
- postgresql, postgresql-client, postgresql-common, systemd-sysv,
- lava-common (>= ${source:Version}), python3-django-restricted-resource (>= 2016.8),
- python3-django-tables2 (>= 1.2), python3-docutils, python3-jinja2,
- python3-markdown, python3-psycopg2, python3-simplejson,
- python3-voluptuous (>= 0.8.8), python3-zmq,
- ${python3:Depends}, ${misc:Depends}
-Recommends: ntp, lava-coordinator, lava-server-doc, lava-dispatcher,
-Suggests: python3-django-hijack, python3-django-debug-toolbar
+ libjs-jquery-watermark, libjs-jquery-flot (>= 0.8.2),
+ libjs-jquery-typeahead, systemd-sysv,
+ postgresql, postgresql-client, postgresql-common,
+ lava-common (>= ${source:Version}), ${python3:Depends}, ${misc:Depends}
+Recommends: ntp, openssh-client,
+ lava-coordinator, lava-server-doc, lava-dispatcher,
+Suggests: lavacli, python3-django-hijack, python3-django-debug-toolbar
 Description: Linaro Automated Validation Architecture server
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -100,12 +92,12 @@
 Package: lava
 Architecture: all
 Section: metapackages
-Depends: lava-server (= ${binary:Version}), lava-server-doc,
- lava-dispatcher, lava-coordinator, lava-dev, lavacli,
- lavapdu-client, ntp | ntpdate, tftpd-hpa, debootstrap (>= 1.0.86~),
+Depends: lava-server (>= ${source:Version}), lava-server-doc,
+ lava-dispatcher (>= ${source:Version}), lava-coordinator, lava-dev,
+ lavacli, lavapdu-client, ntp | ntpdate, tftpd-hpa, sudo,
+ telnet, debootstrap (>= 1.0.86~),
  openssh-client, lxc (>= 1:2.0.6), rsync, bridge-utils, ${misc:Depends}
-Recommends: lavapdu-daemon, schroot, img2simg, simg2img
-Suggests: vmdebootstrap, lava-tool
+Recommends: lavapdu-daemon, schroot, img2simg, simg2img, docker.io
 Description: Linaro Automated Validation Architecture metapackage
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
@@ -147,14 +139,16 @@
  libjs-jquery-flot (>= 0.8.2), libjs-jquery-ui, python3:any,
  python3-setuptools, python3-dateutil, python3-guestfs, python3-nose,
  python3-netifaces, python3-pexpect (>= 4.2), pep8 | python3-pep8,
- python3-guestfs,  python3-nose, python3-netifaces, python3-magic,
+ python3-guestfs, python3-netifaces, python3-magic,
  python3-sphinx (>= 1.4), python3-sphinx-bootstrap-theme, python3-requests,
  python3-zmq, python3-yaml, python3-voluptuous (>= 0.8.8), python3-tz,
+ python3-pytest, python3-pytest-django,
  python3-configobj, python3-pyudev, docbook-xsl, xsltproc,
  ${python3:Depends}, ${misc:Depends}
 Recommends: sbuild, python3-django-extensions, python3-pydot,
- python3-django-testscenarios, python3-pytest-django, nfs-kernel-server,
- lxc, tftpd-hpa, rpcbind, p-boot-tools, telnet, img2simg, simg2img
+ python3-pytest-cov, python3-django-testscenarios, nfs-kernel-server,
+ lxc, tftpd-hpa, rpcbind, u-boot-tools, telnet, img2simg, simg2img
+Suggests: python3-bandit, black, radon
 Description: Linaro Automated Validation Architecture developer support
  LAVA is a continuous integration system for deploying operating
  systems onto physical and virtual hardware for running tests.
