## lava 2018.11

=== debian/changelog ===
lava (2018.11-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Neil Williams <codehelp@debian.org>  Mon, 19 Nov 2018 17:38:19 +0000

lava (2018.11-1) unstable; urgency=medium

  * 2018.11-1 LAVA Software 2018.11 release
    ff37c802c Add docs on criteria for LAVA on other distributions
    4736b01dc How to test and recover bootloaders in LAVA
    2cae2b413 Fix lava-master crash when device yaml is invalid
    570fb324d Allow sdist to be passed to setup.py
    51b3fe6f6 Fix missing part of aarch64 stretch deployment
    f9a3671c1 docker: check method
    563fac8da Enable aarch64/pkg-debian-9 in the build tasks
    7e71a56ea flasher: fix substitution when cmd contain whitespaces
    5bb71d4a1 Package the requires.py script
    d77c8d28f Add CI package script for stretch on aarch64
    24eface95 docker: use the new Action.run_cmd helper
    ddd986e8e Extend the base poweroff timeout.
    9d49da1d4 Remove build from .gitignore
    24022feb4 Fix missing return value in run step
    b5c51dfa8 Force Juno to use NFS vers=3 and extend power off timeout
    7ddae776c run_cmd: make spaces explicit
    87f1e01e1 Capture the simg2img and img2simg output and log it
    f40f0f2c5 Ensure apt is updated before trying to install
    06203dfe2 Add a run_cmd helper to Action class
    97132e916 Extend 0f7a7ec8 to other command_output comparisons
    f0ebf8025 Do not send "\n" twice
    ac0097c42 Fix 500 when rendering device dict page
    57d80c2e2 Add deployment builds to snapshot directories.
    9a1a6bfb1 Apply black to more files in lava_scheduler_app
    c6bfbd5f8 Apply black to lava_dispatcher unit tests
    0b615023d version: allow user to specify the branch to use
    f7bbf6a8b Visibility of worker status effects on device views
    f2d9b658e Apply black to lava_scheduler_app/api and tests.
    7980d84c3 docker tag: move branch name to suffix, not prefix
    0f7a7ec8f Prevent index out of range error
    984164f68 Fix omission in package deployment script
    d4b942b71 CI use pytest-3 instead of py.test-3
    d77c7080c Fix regression in fb4a88388
    504115553 Update docs on local dev builds
    fb4a88388 Standardise on dots in the version string
    4a1910049 Use the rollback support in requires.py
    cb86cc09b Improve error message after 4c71c2ebd1
    15d7a905f Include package artifacts into repositories
    4c71c2ebd Provide more information in bootloader errors
    abff27c8b CI: skip deploy when lavafed is running latest version
    f691bc059 CI fix typo for "only.refs"
    024b27694 Fix errors in docker-admin page
    a937a29e4 CI: add missing requirement to pytest
    08ea617a4 vland: fix crash when finalizing
    987280afd Fix errors in docker-admin page
    89f96b1d9 CI fix deployment script
    c5de132b1 Deploy lavafed-master when scheduled
    08eab0bcb Fix issues with unit test calculations
    7e8a6f444 CI use the new arch specific images
    7d2956e43 Sort the --names output of requires.py
    0eb0d3ed7 Set requirements for requests to avoid CVE
    8cd80dcb2 Build packages and docker images for AArch64
    1ab6aaa9c Allow unit tests to run without /sys/class/misc/kvm
    83649d77b Port 0e598e63 to the xmlrcp api
    6335f73d8 Prevent crash if environment requested for non-POSIX
    14b347c51 lava_results_app: convert Decimal objects to string
     storing as YAML
    26bf0af63 lava_results_app: add test case for YAML Decimal
     object conversion
    1744ea74c Change ownership of health checks and device-types
    32a2a6051 Ignore gitlab-ci files when creating a release tarball
    bd224fcd1 Update publish for changes in pkg/docker
    2e5e60c9f Drop obsolete gitreview file

 -- Neil Williams <codehelp@debian.org>  Wed, 14 Nov 2018 11:12:38 +0000

lava (2018.5.post1-4) unstable; urgency=medium
 .
   * Really fix the python3 build-dependency list after rebase.

 -- Neil Williams <codehelp@debian.org>  Fri, 05 Oct 2018 07:16:37 +0100

lava (2018.5.post1-3) unstable; urgency=medium
 .
   * Change build-dep to just python3, drop build-depend
     on python3-all-dev.
   * [INTL:pt_BR] Brazilian Portuguese debconf templates
     translation (Closes: #903358)
   * [INTL:es] Spanish translation of the debconf template lava-
     server (Closes: #902913)
   * [INTL: de] German translation of the debconf dialogue
     (Closes: #905775)
   * Update standards version
   * Update homepage and VCS links to LAVA Software Community Project.
   * Suggest python3-bandit for lava-dev
   * Add suggests for black in lava-dev

 -- Neil Williams <codehelp@debian.org>  Thu, 04 Oct 2018 13:03:22 +0100
